WordPress.org

Plugin Reviews

Advanced Browser Check

Tell IE users to change browser? Or is your site for Chrome only? Now you choose what browsers should trigger a warning popup or not on your site.

21 reviews
Average Rating
4 out of 5 stars
Exactly what I needed
By , for WP 4.1.1

This worked great! A small suggestion would be to allow one to block an entire browser (ie no IE) but it was no problem selecting the latest version and blocking everything below that.

Exactly what I was looking for
By , for WP 4.1.1

Works perfectly with WP 4.1.1
IE MUST DIE ^_^

The only problem I had was writing the right kind of warning message
By , for WP 4.1

"If you're going to insist on being stubborn enough to take Apple's side and continue to use Safari though it doesn't play WEBM videos, why should I give a rat's rear end about you?" No, that's too diplomatic...I'll keep trying...

Works for IE. Thanks!
By , for WP 4.0.1

Are you having it on Git? I would love to contribute RTL support and i18n.

Doesn't check IE8
By , for WP 4.0

This plugin was not so bad before the latest update. After the update it simply stopped working. There are no alerts in IE8. So I think it deserves the single star rating!

Stopped working.
By ,

This was a decent plugin when it worked, but now it doesn't.

Even when using updated latest Chrome I get the warning and now I get the following code above it :

user_agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_9_5) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/38.0.2125.104 Safari/537.36
name: Google Chrome
short_name: chrome
version: 38
platform: mac
pattern: #(?Version|Chrome|rv)[/ |:]+(?[0-9.|a-zA-Z.]*)#

If they fix it (and maybe make it a little prettier?) I will update my review. But for now downloader beware! Thanks.

Quick to update
By , for WP 4.0

I love that the developer quickly updates the user agents when browsers push updates on the fly.

False alert on new Chrome
By ,

I just updated my Chrome to version 38 and this plugin gave me a false alert even if I completely turned off Chrome checking. Very annoying :(

Add translation to plugin
By , for WP 3.9.2

The plugin work correct but use some deprecated functions.
Please add translation on title and in message

Thank you.

Takes way too much to install. Doesn't work.
By , for WP 3.9.1

This plugin feels bloated. Even after losing time increasing my memory limit to facilitate it and troubleshooting even more, it still won't work.

There's much prettier options out their that aren't as high-maintenance, even if they aren't as complex:

http://wordpress.org/plugins/outdated-browser/
http://wordpress.org/plugins/browser-blocker/screenshots/

You must log in to submit a review. You can also log in or register using the form near the top of this page.